Bug 253107 - graphics/xfractint: Update to 20.04p16
Summary: graphics/xfractint: Update to 20.04p16
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Fernando Apesteguía
URL: https://fractint.net/ftp/current/dos/...
Keywords:
Depends on:
Blocks:
 
Reported: 2021-01-30 20:10 UTC by m.ne
Modified: 2021-02-25 11:49 UTC (History)
2 users (show)

See Also:
bugzilla: maintainer-feedback? (onemda)


Attachments
Patch for graphics/xfractint to version 20.04p16 (14.92 KB, patch)
2021-01-30 20:10 UTC, m.ne
no flags Details | Diff
updated patch (16.01 KB, patch)
2021-02-18 22:29 UTC, m.ne
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description m.ne 2021-01-30 20:10:40 UTC
Created attachment 222031 [details]
Patch for graphics/xfractint to version 20.04p16

I took a brief look at some ports that had some -fno-common fallout. Fortunately this one was easy, as the problem was fixed already upstream.

Changes:
- Update to 20.04p16
- Add dependency on x11-fonts/fontconfig
- Bring patches in line with new version
- Run portfmt and do some minor cosmetics to make portlint happy(ish)
Comment 1 Fernando Apesteguía freebsd_committer 2021-02-01 14:13:45 UTC
^Triage: If there is a changelog or release notes URL available for this version, please add it to the URL field.

Thanks!
Comment 2 m.ne 2021-02-01 15:12:06 UTC
(In reply to Fernando Apesteguía from comment #1)
There is a change log, actually, but that has no entries beyond 20.04p14. (See https://fractint.net/ftp/current/dos/whatsnew.txt) That's the reason I chose not to add it, as it might be more confusing than helpful. But I won't mind being overruled on that matter.
Comment 3 Fernando Apesteguía freebsd_committer 2021-02-01 15:24:41 UTC
(In reply to m.ne from comment #2)
We are good then.

Thanks for checking it!
Comment 4 Dmitry Marakasov freebsd_committer 2021-02-15 12:50:31 UTC
The patch needs to be updated after r564948
Comment 5 m.ne 2021-02-18 22:29:30 UTC
Created attachment 222563 [details]
updated patch
Comment 6 m.ne 2021-02-18 22:30:18 UTC
(In reply to Dmitry Marakasov from comment #4)
Done. Thanks for keeping track.
Comment 7 Fernando Apesteguía freebsd_committer 2021-02-19 07:40:13 UTC
Committed,

Thanks!
Comment 8 commit-hook freebsd_committer 2021-02-19 07:40:51 UTC
A commit references this bug:

Author: fernape
Date: Fri Feb 19 07:40:05 UTC 2021
New revision: 566034
URL: https://svnweb.freebsd.org/changeset/ports/566034

Log:
  graphics/xfractint: Update to 20.04p16

  ChangeLog: https://fractint.net/ftp/current/dos/whatsnew.txt

  PR:	253107
  Submitted by:	m.ne@gmx.net
  Approved by:	onemda@gmail.com (maintainer, timeout > 2 weeks)

Changes:
  head/graphics/xfractint/Makefile
  head/graphics/xfractint/distinfo
  head/graphics/xfractint/files/patch-Makefile
  head/graphics/xfractint/files/patch-common__biginit.c
  head/graphics/xfractint/files/patch-common__fractalb.c
  head/graphics/xfractint/files/patch-common__fractals.c
  head/graphics/xfractint/files/patch-common__frasetup.c
  head/graphics/xfractint/files/patch-common__lsys.c
  head/graphics/xfractint/files/patch-common__lsysf.c
  head/graphics/xfractint/files/patch-common__memory.c
  head/graphics/xfractint/files/patch-common__miscres.c
  head/graphics/xfractint/files/patch-common__prompts1.c
  head/graphics/xfractint/files/patch-common__prompts2.c
  head/graphics/xfractint/files/patch-common__soi.c
  head/graphics/xfractint/files/patch-common__soi1.c
  head/graphics/xfractint/files/patch-headers__port.h
  head/graphics/xfractint/files/patch-unix__general.c
  head/graphics/xfractint/files/patch-unix__unixscr.c
  head/graphics/xfractint/files/patch-unix_video.c
  head/graphics/xfractint/pkg-descr
  head/graphics/xfractint/pkg-plist